diff -urN multipath-0.0.12-1/ChangeLog multipath-0.0.12-2/ChangeLog
--- multipath-0.0.12-1/ChangeLog	2003-12-29 09:20:57.000000000 +0100
+++ multipath-0.0.12-2/ChangeLog	2003-12-29 11:53:02.000000000 +0100
@@ -1,4 +1,5 @@
 2003-12-29 multipath-012
+	* check hotplug event refers to a block device; if not exit early
 	* refresh doc
 	* add the uninstall target in Makefile
 2003-12-22 multipath-010
diff -urN multipath-0.0.12-1/main.c multipath-0.0.12-2/main.c
--- multipath-0.0.12-1/main.c	2003-12-23 01:37:10.000000000 +0100
+++ multipath-0.0.12-2/main.c	2003-12-29 11:54:33.000000000 +0100
@@ -261,7 +261,11 @@
 		sprintf(buff, "%s%s/block",
 			conf->sysfs_path, conf->hotplugdev);
 		memset(conf->hotplugdev, 0, FILE_NAME_SIZE);
-		readlink(buff, conf->hotplugdev, FILE_NAME_SIZE);
+
+		/* if called from hotplug but with no block, leave */
+		if (0 > readlink(buff, conf->hotplugdev, FILE_NAME_SIZE))
+			return 0;
+
 		basename(conf->hotplugdev, buff);
 		sprintf(curpath.sg_dev, "/dev/%s", buff);
 
diff -urN multipath-0.0.12-1/multipath.hotplug multipath-0.0.12-2/multipath.hotplug
--- multipath-0.0.12-1/multipath.hotplug	2003-12-29 09:20:57.000000000 +0100
+++ multipath-0.0.12-2/multipath.hotplug	2003-12-29 11:51:02.000000000 +0100
@@ -1,3 +1,6 @@
 . /etc/hotplug/hotplug.functions
+
+# wait for sysfs
 sleep 1
+
 mesg `/sbin/multipath scsi $DEVPATH`
